Appointment
Create an appointment
POST
/
v1
/
appointments
Create an appointment
curl --request POST \
--url https://dev.flextell.ai/api/v1/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"customer_id": 123,
"user_id": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"treatments": [
123
],
"assistant_id": 123,
"parent_appointment_id": 123,
"description": "<string>",
"cancellation_reason": "<string>",
"room_id": 123,
"treatment_session_plans": [
{
"treatment_id": 123,
"sessions": [
{
"session_order": 2,
"offset_days": 1,
"next_gap_days": 2,
"products": [
{
"product_id": 123,
"warehouse_id": 123,
"quantity": 1.001
}
]
}
]
}
]
}
'{
"success": "<string>",
"data": {
"id": 123,
"customer_id": 123,
"room_id": 123,
"parent_appointment_id": 123,
"code": "<string>",
"relation_type": "<string>",
"description": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"cancellation_reason": "<string>",
"creation_type": "<string>",
"assistants": [
{
"id": 123,
"name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"country_name": "<string>",
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"avatar_url": "<string>",
"related_user": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"tags": [
{
"id": 123,
"tenant_id": 123,
"name": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
},
"doctor": {
"id": 123,
"name": "<string>"
},
"room": {
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
},
"parent_appointment": "<unknown>",
"child_appointments": "<array>",
"treatments": [
{
"id": 123,
"group_id": 123,
"name": "<string>",
"keywords": [
"<unknown>"
],
"price": "<string>",
"tax_rate": 123,
"description": "<string>",
"session": 123,
"is_active": "<string>",
"extra_info": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"group": {
"id": 123,
"name": "<string>",
"is_active": true
},
"users": [
{
"id": 123,
"name": "<string>"
}
],
"sessions": [
{
"id": 123,
"session_order": 123,
"next_gap_days": 123,
"offset_days": 123,
"products": [
{
"id": 123,
"product_id": 123,
"min_quantity": 123,
"product": {
"id": 123,
"name": "<string>",
"full_name": "<string>",
"brand": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}
]
}
]
}
]
}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Body
application/json
The customer ID.
The user ID.
The scheduled at.
The status.
Available options:
pending, approved, cancelled, rejected, completed, no_show The treatments.
Minimum array length:
1A treatments value.
The assistant ID.
The parent appointment ID.
The description.
Maximum string length:
1000The cancellation reason.
Maximum string length:
1000The room ID.
The treatment session plans.
Show child attributes
Show child attributes
⌘I
Create an appointment
curl --request POST \
--url https://dev.flextell.ai/api/v1/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"customer_id": 123,
"user_id": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"treatments": [
123
],
"assistant_id": 123,
"parent_appointment_id": 123,
"description": "<string>",
"cancellation_reason": "<string>",
"room_id": 123,
"treatment_session_plans": [
{
"treatment_id": 123,
"sessions": [
{
"session_order": 2,
"offset_days": 1,
"next_gap_days": 2,
"products": [
{
"product_id": 123,
"warehouse_id": 123,
"quantity": 1.001
}
]
}
]
}
]
}
'{
"success": "<string>",
"data": {
"id": 123,
"customer_id": 123,
"room_id": 123,
"parent_appointment_id": 123,
"code": "<string>",
"relation_type": "<string>",
"description": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"cancellation_reason": "<string>",
"creation_type": "<string>",
"assistants": [
{
"id": 123,
"name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"country_name": "<string>",
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"default_channel_id": 123,
"avatar_url": "<string>",
"related_user": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"tags": [
{
"id": 123,
"tenant_id": 123,
"name": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
},
"doctor": {
"id": 123,
"name": "<string>"
},
"room": {
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
},
"parent_appointment": "<unknown>",
"child_appointments": "<array>",
"treatments": [
{
"id": 123,
"group_id": 123,
"name": "<string>",
"keywords": [
"<unknown>"
],
"price": "<string>",
"tax_rate": 123,
"description": "<string>",
"session": 123,
"is_active": "<string>",
"extra_info": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"group": {
"id": 123,
"name": "<string>",
"is_active": true
},
"users": [
{
"id": 123,
"name": "<string>"
}
],
"sessions": [
{
"id": 123,
"session_order": 123,
"next_gap_days": 123,
"offset_days": 123,
"products": [
{
"id": 123,
"product_id": 123,
"min_quantity": 123,
"product": {
"id": 123,
"name": "<string>",
"full_name": "<string>",
"brand": {
"id": 123,
"name": "<string>"
},
"unit_code": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}
]
}
]
}
]
}
}